//+------------------------------------------------------------------+
//|                                                      ROC_USD.mq4 |
//|                                                 Kris Tokarzewski |
//|                                  based on work done by Davi Chan |
//+------------------------------------------------------------------+
#property copyright "  Kris "

#property indicator_buffers 1
#property indicator_separate_window
#property indicator_color1 DodgerBlue

extern int periodos = 10;
double medidor_operacoes = 0;
double buffer_indicador[];
int i;

//extern int maxbars = 0; //maxbars limita quando no estiver no modo teste.
int maxbars;

int init()
{
// if(IsTesting())
//   maxbars = Bars;
//	else
//	  maxbars = 500;
	SetIndexStyle(0, DRAW_LINE, STYLE_SOLID, 2);
	SetIndexBuffer(0, buffer_indicador);
	SetLevelValue(0,0.0);
	return(0);
   }

int start()
   {
	int inicio;   	
	double roc_GBP, roc_EUR, roc_JPY, ROC;	
	int counted_bars=IndicatorCounted();
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   int limit=Bars-counted_bars;
   for(int i=0; i<limit; i++)
      {
		ROC = 0;			
      roc_JPY = (iClose("USDJPY", 0, i) - iClose("USDJPY", 0, periodos+i))/iClose("USDJPY", 0, periodos+i);
      //inverso dos valores dessas duas moedas
      roc_EUR = (1/iClose("EURUSD", 0, i) - 1/iClose("EURUSD", 0, periodos+i))/(1/iClose("EURUSD", 0, periodos+i));	
      roc_GBP = (1/iClose("GBPUSD", 0, i) - 1/iClose("GBPUSD", 0, periodos+i))/(1/iClose("GBPUSD", 0, periodos+i));
      //inverso dos valores dessas duas moedas
      ROC = (roc_GBP + roc_EUR + roc_JPY)/3;
		buffer_indicador[i] = ROC;			
	  }
}

